AWS
probe S3

# bucket_exists

Validate that a bucket exists

Run it now
View details

Type | probe
Module | chaosaws.s3.probes
Name | bucket_exists
Return | boolean

Usage

JSON

    {
      "name": "bucket-exists",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.s3.probes",
        "func": "bucket_exists",
        "arguments": {
          "bucket_name": ""
        }
      }
    }

YAML

    name: bucket-exists
    provider:
      arguments:
        bucket_name: ""
      func: bucket_exists
      module: chaosaws.s3.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
bucket_name | string |  | Yes | Bucket | Name of the bucket

Signature

    def bucket_exists(bucket_name: str,
                      configuration: Dict[str, Dict[str, str]] = None,
                      secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- AWS
  action S3

  ## `delete_object`

  Delete an object in a S3 bucket
- AWS
  action S3

  ## `object_exists`

  Validate that an object exists in a S3 bucket
- AWS
  action S3

  ## `toggle_versioning`

  Toggles versioning on a S3 bucket